rem "C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -on PROC_THREAD+LOADER+NETWORKTRACE+CSWITCH+PERF_COUNTER+BASE+PROFILE -maxbuffers 4024 -f kernel.etl

"C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -on CSWITCH+LOADER+PROC_THREAD+DPC+DISPATCHER -maxbuffers 4024 -f kernel.etl


rem Useful providers
rem Microsoft-Windows-TCPIP				- LOTS of data about each send/recv - not actually that useful
rem Microsoft-Windows-Diagnostics-Networking		- no useful info
rem Microsoft-Windows-Kernel-Network			- no useful info	
rem Microsoft-Windows-Networking-Correlation		- no useful info
rem TCPIP Service Trace
rem Microsoft-Windows-NetworkProfile			- no useful info

"C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -start LenTrace -on Microsoft-Windows-TCPIP -f len.etl
rem "C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -start LenTrace -on Microsoft-Windows-Kernel-Network -f len.etl
rem "C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -start LenTrace -on Microsoft-Windows-TCPIP -f len.etl
rem "C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -start LenTrace -on Microsoft-Windows-Kernel-Network -f len.etl
rem "C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -start LenTrace -on Microsoft-Windows-Networking-Correlation -f len.etl



Echo Starting server

start ..\Output\VS2008\URelease\EchoServer.exe -port 5050 -listenBacklog 100

Echo Waiting for server start up to complete
..\..\Test\ServerShutdown.exe WAIT_FOR_START
IF ERRORLEVEL 1 goto FailedToStart
Echo Server running

rem Echo Testing with SocketServerTest.exe
rem ..\..\Test\SocketServerTest.exe EchoServerTest.xml
rem IF ERRORLEVEL 1 goto Failed
rem Echo Test Passed - no zero byte read

Echo Testing with EchoServerTest.exe
..\..\Test\EchoServerTest.exe -server localhost -port 5050 -connections 50 -connectionBatchSize 100 -connectionBatchDelay 100 -messages 1000 -messageRate 0 -sendAfterRecv -skipSignOnBytes 24 -messageFlowTimeout 60000
rem ..\..\Test\EchoServerTest.exe -server localhost -port 5050 -connections 10 -connectionBatchSize 100 -connectionBatchDelay 100 -messages 10 -messageRate 0 -sendAfterRecv -skipSignOnBytes 24 -messageFlowTimeout 60000
IF ERRORLEVEL 1 goto Failed
Echo Test Passed - no zero byte read

Echo Test Passed

Echo Shutting down server
..\..\Test\ServerShutdown.exe WAIT_FOR_STOP

goto End

:Failed

Echo Test Failed

Echo Shutting down server
..\..\Test\ServerShutdown.exe WAIT_FOR_STOP

Exit /b 1

:FailedToStart

Echo Server Failed to start

Exit /b 1

:End

Echo Done

"C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -stop LenTrace
"C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -stop
"C:\Program Files\Microsoft Windows Performance Toolkit\xperf" -merge len.etl kernel.etl out.etl
"C:\Program Files\Microsoft Windows Performance Toolkit\xperf" out.etl
